summaryrefslogtreecommitdiff
path: root/contrib/reghunt/examples/30643.test
diff options
context:
space:
mode:
authorjanis <janis@138bc75d-0d04-0410-961f-82ee72b054a4>2009-02-17 18:45:27 +0000
committerjanis <janis@138bc75d-0d04-0410-961f-82ee72b054a4>2009-02-17 18:45:27 +0000
commit024f1ce056dfec82703704d8663d1530b12e5938 (patch)
treecd17f8dada306365f8ea516f806878c442a9bad9 /contrib/reghunt/examples/30643.test
parent42a8b5f0fd074548521460dca667b5fa46f711e9 (diff)
downloadgcc-024f1ce056dfec82703704d8663d1530b12e5938.tar.gz
* examples: New directory.
* examples/gcc-svn-env: New. * examples/reg-watch: New. * examples/reg-watch.awk: New. * examples/common.config: New. * examples/testall: New. * examples/28970.config: New. * examples/28970.list: New. * examples/28970.c: New. * examples/28970.log: New. * examples/29106.config: New. * examples/29106.list: New. * examples/29106.test: New. * examples/29106.cc: New. * examples/29106.log: New. * examples/29478.config: New. * examples/29478.list: New. * examples/29478.c: New. * examples/29478.log: New. * examples/29906a.config: New. * examples/29906a.list: New. * examples/29906a.cc: New. * examples/29906a.log: New. * examples/29906b.config: New. * examples/29906b.list: New. * examples/29906b.cc: New. * examples/29906b.log: New. * examples/30643.config: New. * examples/30643.list: New. * examples/30643.c: New. * examples/30643.test: New. * examples/30643.log: New. git-svn-id: svn+ssh://gcc.gnu.org/svn/gcc/trunk@144242 138bc75d-0d04-0410-961f-82ee72b054a4
Diffstat (limited to 'contrib/reghunt/examples/30643.test')
-rwxr-xr-xcontrib/reghunt/examples/30643.test26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/reghunt/examples/30643.test b/contrib/reghunt/examples/30643.test
new file mode 100755
index 00000000000..ba9b0e0ff47
--- /dev/null
+++ b/contrib/reghunt/examples/30643.test
@@ -0,0 +1,26 @@
+#! /bin/sh
+
+ID=$1
+
+LOGID=`printf "%04d" ${ID}`
+LOG=${BUGID}.${LOGID}.out
+MSGID="bug ${BUGID}, id ${ID}"
+ASM=${BUGID}.${LOGID}.s
+
+$REG_TEST_COMPILER $REG_OPTS $REG_TESTCASE > ${LOG} 2>&1
+
+if [ $? -ne 0 ]; then
+ echo "`date` compilation failed unexpectedly for ${MSGID}"
+ exit REG_ERROR
+fi
+
+cp ${BUGID}.s $ASM
+
+grep -q abort $ASM
+if [ $? -eq 0 ]; then
+ echo "`date` abort call exists for ${MSGID}"
+ exit $REG_FAIL
+fi
+
+echo "`date` no call to abort for ${MSGID}"
+exit $REG_PASS